Uploaded image for project: 'Mender'
  1. Mender
  2. MEN-4594

Make sure that configuration is prepopulated when installing mender-configure demo

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Done
    • Priority: (None)
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.7.0
    • Labels:
    • Story Points:
      3
    • Backlog:
      yes
    • Days in progress:
      0

      Description

      Acceptance criteria:

      • When either:
        • Using Yocto with the demo layer
        • Using deb packages, and installing the mender-configure-demo package
      • The configuration on the device must be prepopulated with the keys:
        • timezone: <CURRENT TIMEZONE>
        • If /sys/class/leds/led0/trigger exists:
          • mender-demo-raspberrypi-led: mmc0
      • On debian, the configuration must be installed only if there is no preexisting configuration file (e.g. postinstall script)

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              a10040 Kristian Amlie
              Reporter:
              a10040 Kristian Amlie
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support